<!DOCTYPE html>
<html>

<head>
<title>Simple Canvas Example</title>
<style>
canvas {
	border: 3px #CCC solid;
}
</style>
</head>

<body>
	<div id="container">
		<canvas id="myCanvas" height="450" width="450"></canvas>
	</div>
	<script>
	var mainCanvas = document.getElementById("myCanvas");
	var mainContext = mainCanvas.getContext('2d');
	 
	var canvasWidth = mainCanvas.width;
	var canvasHeight = mainCanvas.height;
	 
	//requis pour l'animation
	var angle = 0;
	 
	//requis pour l'animation)
	var requestAnimationFrame = window.requestAnimationFrame || 
	                            window.mozRequestAnimationFrame || 
	                            window.webkitRequestAnimationFrame || 
	                            window.msRequestAnimationFrame;
	 
	var x=0;
	var y=0;
	function drawLine(){
		//mainContext.clearRect(0, 0, canvasWidth, canvasHeight);
		mainContext.beginPath();
		mainContext.moveTo(x, y);
		x+=10;
		y+=10;
		mainContext.lineTo(x, y);
		mainContext.stroke(); //closePath()
		
		
		requestAnimationFrame(drawLine);
	}
	
	/* function drawCircle() {
	    mainContext.clearRect(0, 0, canvasWidth, canvasHeight);
	     
	    // color in the background
	    mainContext.fillStyle = "#EEEEEE";
	    mainContext.fillRect(0, 0, canvasWidth, canvasHeight);
	     
	    // draw the circle
	    mainContext.beginPath();
	     
	    var radius = 25 + 150 * Math.abs(Math.cos(angle));
	    mainContext.arc(225, 225, radius, 0, Math.PI * 2, false);
	    mainContext.stroke();
	     
	    // color in the circle
	   /*  mainContext.fillStyle = "#006699";
	     mainContext.fill();*/
	/*      
	    angle += Math.PI / 64;
	     
	    requestAnimationFrame(drawCircle);
	} */
	//drawCircle();
	drawLine();
	</script>
</body>
</html>